imagecreatefromgd
imagecreatefromjpeg
GD and Image Functions
PHP Manual

# imagecreatefromgif

(PHP 4, PHP 5, PHP 7)

imagecreatefromgif — Create a new image from file or URL

### Description

resource imagecreatefromgif ( string `$filename` )

imagecreatefromgif() returns an image identifier representing the image obtained from the given filename.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename. See the Supported Protocols and Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

### Parameters

`filename`

  Path to the GIF image.

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Examples

Example #1 Example to handle an error during loading of a GIF

`<?php
function LoadGif($imgname)
{
/* Attempt to open */
$im = @imagecreatefromgif($imgname);
/* See if it failed */
if(!$im)
{
/* Create a blank image */
$im = imagecreatetruecolor (150, 30);
$bgc = imagecolorallocate ($im, 255, 255, 255);
$tc = imagecolorallocate ($im, 0, 0, 0);
imagefilledrectangle ($im, 0, 0, 150, 30, $bgc);
/* Output an error message */
imagestring ($im, 1, 5, 5, 'Error loading ' . $imgname, $tc);
}
return $im;
}
header('Content-Type: image/gif');
$img = LoadGif('bogus.image');
imagegif($img);
imagedestroy($img);
?>`

The above example will output something similar to:

### Notes

> Note:

> GIF support was removed from the GD library in Version 1.6, and added back in Version 2.0.28. This function is not available between these versions.

> Note:

> When reading animated GIF files into memory, only the first frame is returned in the image resource pointer.

imagecreatefromgd
imagecreatefromjpeg
GD and Image Functions
PHP Manual